Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Tabelle

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Tabelle

All Implemented Interfaces:
  Serializable, ScrollPaneConstants

    public class Tabelle

extends Komponente
implements Serializable, ScrollPaneConstants

Eine Tabelle ist die eingedeutschte Klasse fuer Java-JTables. Tabellen haben Zeilen, Spalten und Zellen. Spalten besitzen Überschriften, die auch ausgeblendet werden können.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`protected String` | `zAktuellFont`
`protected Font` | `zSchriftArt`
`protected int` | `zSchriftGroesse`
`protected int` | `zSchriftStil`

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`Tabelle(double pLinks, double pOben, double pBreite, double pHoehe, int pZeilen, int pSpalten)` Die Tabelle wird erzeugt und enthaelt den uebergebenen Text.
`Tabelle(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, int pZeilen, int pSpalten)` Die Tabelle wird erzeugt und enthaelt den uebergebenen Text.

Method Summary
`protected void` | `bekommtFokus()` Der Zeilenbereich erhaelt den Fokus.
`void` | `entferneSpalteAn(int pSpalte)` Die Spalte an Position pSpalte wird entfernt.
`void` | `entferneZeileAn(int pZeile)` Die Zeile an Position pZeile wird entfernt.
`void` | `fuegeNeueSpalteEinAn(int pSpalte)` Eine neue Spalte wird Position pSpalte eingefuegt.
`void` | `fuegeNeueZeileEinAn(int pZeile)` Eine neue Zeile wird Position pZeile eingefuegt.
`void` | `haengeAnAn(String pText, int pZeile, int pSpalte)` Der Text pText wird in Zelle pSpalte, pZeile angehaengt.
`void` | `haengeNeueSpalteAn()` Eine neue Spalte wird angehaengt.
`void` | `haengeNeueZeileAn()` Eine neue Zeile wird angehaengt.
`int` | `inhaltAlsGanzeZahlAn(int pZeile, int pSpalte)` Der Inhalt einer Zelle der Tabelle wird als ganze Zahl zurueckgegeben.
`String` | `inhaltAlsTextAn(int pZeile, int pSpalte)` Der Inhalt einer Zelle der Tabelle wird als String zurueckgegeben.
`double` | `inhaltAlsZahlAn(int pZeile, int pSpalte)` Der Inhalt einer Zelle der Tabelle wird als Kommazahl zurueckgegeben.
`protected void` | `inhaltGeaendert()` Die Tabelle reagiert auf Veraenderungen.
`boolean` | `inhaltIstGanzeZahlAn(int pZeile, int pSpalte)` Es wird zurueckgegeben, ob die Textkomponente eine ganze Zahl ist.
`boolean` | `inhaltIstTextAn(int pZeile, int pSpalte)` Es wird zurueckgegeben, ob die Zelle an Position pZeile, pSpalte keine (ganze) Zahl ist.
`boolean` | `inhaltIstZahlAn(int pZeile, int pSpalte)` Es wird zurueckgegeben, ob die Textkomponente eine Kommazahl ist.
`boolean` | `istSpalteMarkiert(int pSpalte)` Es wird zurueckgegeben, ob die Spalte markiert ist.
`boolean` | `istZeileMarkiert(int pZeile)` Es wird zurueckgegeben, ob die Zeile markiert ist.
`boolean` | `istZelleMarkiert(int pZeile, int pSpalte)` Es wird zurueckgegeben, ob die Zelle markiert ist.
`void` | `markiereAlles()` Alle Zellen werden markiert.
`void` | `markiereNichts()` Alle Zeilen werden nicht markiert.
`protected void` | `markierungGeaendert()` Die Tabelle reagiert auf Veraenderungen der Markierung.
`void` | `setzeBearbeiterInhaltGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeBearbeiterMarkierungGeaendert(String pBearbeiter)` Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.
`void` | `setzeGroesse(double pBreite, double pHoehe)` Die Tabelle erhaelt eine neue Groesse.
`void` | `setzeInhaltAn(char pZeichen, int pZeile, int pSpalte)` Das Zeichen pZeichen wird in Zelle pSpalte, pZeile eingefuegt.
`void` | `setzeInhaltAn(double pZahl, int pZeile, int pSpalte)` Die Zahl pZahl wird in Zelle pSpalte, pZeile eingefuegt.
`void` | `setzeInhaltAn(int pZahl, int pZeile, int pSpalte)` Die ganze Zahl pZahl wird in Zelle pSpalte, pZeile eingefuegt.
`void` | `setzeInhaltAn(String pText, int pZeile, int pSpalte)` Der Text pText wird in Zelle pSpalte, pZeile eingefuegt.
`void` | `setzeMarkierteSpalten(int pAnfang, int pEnde)` Die Spalten von pAnfang bis pEnde werden zusaetzlich markiert.
`void` | `setzeMarkierteZeilen(int pAnfang, int pEnde)` Die Zeilen von pAnfang bis pEnde werden zusaetzlich markiert.
`void` | `setzeMarkierteZelle(int pZeile, int pSpalte)` Die Zelle pZeile, pSpalte wird zusaetzlich markiert.
`void` | `setzePosition(double pWohinH, double pWohinV)` Die Tabelle erhaelt eine neue Position (Ecke oben links).
`void` | `setzeSchriftart(String pSchriftart)` Die Schriftart der Tabelle wird veraendert
`void` | `setzeSchriftArt(String pSchriftart)` Die Schriftart der Tabelle wird veraendert
`void` | `setzeSchriftfarbe(Color pFarbe)` Die Schriftfarbe der Tabelle wird veraendert
`void` | `setzeSchriftFarbe(Color pFarbe)` Die Schriftfarbe der Tabelle wird veraendert
`void` | `setzeSchriftfarbe(int pFarbe)` Die Schriftfarbe der Tabelle wird veraendert
`void` | `setzeSchriftFarbe(int pFarbe)` Die Schriftfarbe der Tabelle wird veraendert
`void` | `setzeSchriftgroesse(int pGroesse)` Die Schriftgroesse der Tabelle wird veraendert
`void` | `setzeSchriftGroesse(int pGroesse)` Die Schriftgroesse der Tabelle wird veraendert
`void` | `setzeSchriftstil(int pStil)` Der Schriftstil der Tabelle wird veraendert
`void` | `setzeSchriftStil(int pStil)` Der Schriftstil der Tabelle wird veraendert
`void` | `setzeSpaltenanzahl(int pAnzahl)` Die Anzahl der Spalten in der Tabelle wird veraendert.
`void` | `setzeSpaltenbreite(int pBreite)` Die Spalten der Tabelle erhalten eine neue Breite.
`void` | `setzeSpaltentitelAn(String pText, int pSpalte)` Der Text pText wird alsTitel fuer Spalte pSpalte eingefuegt.
`void` | `setzeZeilenanzahl(int pAnzahl)` Die Anzahl der Zeilen in der Tabelle wird veraendert.
`void` | `setzeZeilenhoehe(int pHoehe)` Die Zeilen der Tabelle erhalten eine neue Hoehe.
`int` | `spaltenanzahl()` Die Anzahl der Spalten in der Tabelle wird zurueckgegeben.
`String` | `spaltentitel(int pSpalte)` Der Spaltentitel der Spalte pSpalte wird zurueckgegeben.
`protected void` | `verliertFokus()` Die Tabelle verliert den Fokus.
`int` | `zeilenanzahl()` Die Anzahl der Zeilen im der Tabelle wird zurueckgegeben.

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeHinweis, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zAktuellFont

    protected String zAktuellFont

### zSchriftArt

    protected Font zSchriftArt

### zSchriftGroesse

    protected int zSchriftGroesse

### zSchriftStil

    protected int zSchriftStil

Constructor Detail

### Tabelle

    public Tabelle(double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   int pZeilen,
                   int pSpalten)

  Die Tabelle wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe sowie die Anzahl der Zeilen und Spalten werden als Parameter uebergeben. Die Tabelle befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZeilen` - die Anzahl der Zeilen der Tabelle
    `pSpalten` - die Anzahl der Spalten der Tabelle

### Tabelle

    public Tabelle(Fenster pFenster,
                   double pLinks,
                   double pOben,
                   double pBreite,
                   double pHoehe,
                   int pZeilen,
                   int pSpalten)

  Die Tabelle wird erzeugt und enthaelt den uebergebenen Text. Position, Breite und Hoehe sowie die Anzahl der Zeilen und Spalten werden als Parameter uebergeben. Die Tabelle befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pZeilen` - die Anzahl der Zeilen der Tabelle
    `pSpalten` - die Anzahl der Spalten der Tabelle

Method Detail

### bekommtFokus

    protected void bekommtFokus()

  Der Zeilenbereich erhaelt den Fokus.

### entferneSpalteAn

    public void entferneSpalteAn(int pSpalte)

  Die Spalte an Position pSpalte wird entfernt.

  Parameters:
    `pSpalte` - die Position, wo die Spalte entfernt wird

### entferneZeileAn

    public void entferneZeileAn(int pZeile)

  Die Zeile an Position pZeile wird entfernt.

  Parameters:
    `pZeile` - die Position, wo die Zeile entfernt wird

### fuegeNeueSpalteEinAn

    public void fuegeNeueSpalteEinAn(int pSpalte)

  Eine neue Spalte wird Position pSpalte eingefuegt.

  Parameters:
    `pSpalte` - die Position, wo eine neue Spalte eingefuegt wird

### fuegeNeueZeileEinAn

    public void fuegeNeueZeileEinAn(int pZeile)

  Eine neue Zeile wird Position pZeile eingefuegt.

  Parameters:
    `pZeile` - die Position, wo eine neue Zeile eingefuegt wird

### haengeAnAn

    public void haengeAnAn(String pText,
                           int pZeile,
                           int pSpalte)

  Der Text pText wird in Zelle pSpalte, pZeile angehaengt.

  Parameters:
    `pText` - der angehaengte Text der Zelle
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle

### haengeNeueSpalteAn

    public void haengeNeueSpalteAn()

  Eine neue Spalte wird angehaengt.

### haengeNeueZeileAn

    public void haengeNeueZeileAn()

  Eine neue Zeile wird angehaengt.

### inhaltAlsGanzeZahlAn

    public int inhaltAlsGanzeZahlAn(int pZeile,
                                    int pSpalte)
                             throws ArithmeticException

  Der Inhalt einer Zelle der Tabelle wird als ganze Zahl zurueckgegeben.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    der Inhalt der Zelle als ganze Zahl
  Throws:
    `ArithmeticException`

### inhaltAlsTextAn

    public String inhaltAlsTextAn(int pZeile,
                                  int pSpalte)

  Der Inhalt einer Zelle der Tabelle wird als String zurueckgegeben.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    der Inhalt der Zelle als Zeichenkette (String)

### inhaltAlsZahlAn

    public double inhaltAlsZahlAn(int pZeile,
                                  int pSpalte)
                           throws ArithmeticException

  Der Inhalt einer Zelle der Tabelle wird als Kommazahl zurueckgegeben.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    der Inhalt der Zelle als Kommazahl
  Throws:
    `ArithmeticException`

### inhaltGeaendert

    protected void inhaltGeaendert()

  Die Tabelle reagiert auf Veraenderungen.

### inhaltIstGanzeZahlAn

    public boolean inhaltIstGanzeZahlAn(int pZeile,
                                        int pSpalte)

  Es wird zurueckgegeben, ob die Textkomponente eine ganze Zahl ist.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    true, wenn der Inhalt der Zelle eine ganze Zahl ist

### inhaltIstTextAn

    public boolean inhaltIstTextAn(int pZeile,
                                   int pSpalte)

  Es wird zurueckgegeben, ob die Zelle an Position pZeile, pSpalte keine (ganze) Zahl ist.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    true, wenn der Inhalt der Zelle keine Zahl ist

### inhaltIstZahlAn

    public boolean inhaltIstZahlAn(int pZeile,
                                   int pSpalte)

  Es wird zurueckgegeben, ob die Textkomponente eine Kommazahl ist.

  Parameters:
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle
  Returns:
    true, wenn der Inhalt der Zelle eine Zahl ist

### istSpalteMarkiert

    public boolean istSpalteMarkiert(int pSpalte)

  Es wird zurueckgegeben, ob die Spalte markiert ist.

  Parameters:
    `pSpalte` - die Nummer der Spalte
  Returns:
    true, wenn die Spalte markiert ist

### istZeileMarkiert

    public boolean istZeileMarkiert(int pZeile)

  Es wird zurueckgegeben, ob die Zeile markiert ist.

  Parameters:
    `pZeile` - die Nummer der Zeile
  Returns:
    true, wenn die Zeile markiert ist

### istZelleMarkiert

    public boolean istZelleMarkiert(int pZeile,
                                    int pSpalte)

  Es wird zurueckgegeben, ob die Zelle markiert ist.

  Parameters:
    `pZeile` - die Nummer der Zeile
    `pSpalte` - die Nummer der Spalte
  Returns:
    true, wenn die Zelle markiert ist

### markiereAlles

    public void markiereAlles()

  Alle Zellen werden markiert.

### markiereNichts

    public void markiereNichts()

  Alle Zeilen werden nicht markiert.

### markierungGeaendert

    protected void markierungGeaendert()

  Die Tabelle reagiert auf Veraenderungen der Markierung.

### setzeBearbeiterInhaltGeaendert

    public void setzeBearbeiterInhaltGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn sich der Inhalt der Tabelle aendert.

### setzeBearbeiterMarkierungGeaendert

    public void setzeBearbeiterMarkierungGeaendert(String pBearbeiter)

  Die Methode zur Bearbeitung des InhaltGeaendert-Ereignisses in der Ereignisanwendung wird festgelegt.

  Parameters:
    `pBearbeiter` - der Bezeichner des Dienstes der SuMAnwendung, der aufgerufen wird, wenn sich die Markierung der Tabelle aendert.

### setzeGroesse

    public void setzeGroesse(double pBreite,
                             double pHoehe)

  Die Tabelle erhaelt eine neue Groesse.

  Overrides:
    `setzeGroesse` in class `Komponente`
  Parameters:
    `pBreite` - die neue Breite der Komponente
    `pHoehe` - die neue Hoehe der Komponente

### setzeInhaltAn

    public void setzeInhaltAn(char pZeichen,
                              int pZeile,
                              int pSpalte)

  Das Zeichen pZeichen wird in Zelle pSpalte, pZeile eingefuegt.

  Parameters:
    `pZeichen` - der neue Inhalt der Zelle
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle

### setzeInhaltAn

    public void setzeInhaltAn(double pZahl,
                              int pZeile,
                              int pSpalte)

  Die Zahl pZahl wird in Zelle pSpalte, pZeile eingefuegt.

  Parameters:
    `pZahl` - der neue Inhalt der Zelle
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle

### setzeInhaltAn

    public void setzeInhaltAn(int pZahl,
                              int pZeile,
                              int pSpalte)

  Die ganze Zahl pZahl wird in Zelle pSpalte, pZeile eingefuegt.

  Parameters:
    `pZahl` - der neue Inhalt der Zelle
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle

### setzeInhaltAn

    public void setzeInhaltAn(String pText,
                              int pZeile,
                              int pSpalte)

  Der Text pText wird in Zelle pSpalte, pZeile eingefuegt.

  Parameters:
    `pText` - der neue Inhalt der Zelle
    `pZeile` - die Zeilennummer der Zelle
    `pSpalte` - die Spaltennummer der Zelle

### setzeMarkierteSpalten

    public void setzeMarkierteSpalten(int pAnfang,
                                      int pEnde)

  Die Spalten von pAnfang bis pEnde werden zusaetzlich markiert.

  Parameters:
    `pAnfang` - die Nummer der ersten Spalte
    `pEnde` - die Nummer der letzten Spalte

### setzeMarkierteZeilen

    public void setzeMarkierteZeilen(int pAnfang,
                                     int pEnde)

  Die Zeilen von pAnfang bis pEnde werden zusaetzlich markiert.

  Parameters:
    `pAnfang` - die Nummer der ersten Zeile
    `pEnde` - die Nummer der letzten Zeile

### setzeMarkierteZelle

    public void setzeMarkierteZelle(int pZeile,
                                    int pSpalte)

  Die Zelle pZeile, pSpalte wird zusaetzlich markiert.

  Parameters:
    `pZeile` - die Nummer der Zeile
    `pSpalte` - die Nummer der Spalte

### setzePosition

    public void setzePosition(double pWohinH,
                              double pWohinV)

  Die Tabelle erhaelt eine neue Position (Ecke oben links).

  Overrides:
    `setzePosition` in class `Komponente`
  Parameters:
    `pWohinH` - die neue horizontale Position der linken oberen Ecke
    `pWohinV` - die neue vertikale Position der linken oberen Ecke

### setzeSchriftart

    public void setzeSchriftart(String pSchriftart)

  Die Schriftart der Tabelle wird veraendert

  Parameters:
    `pSchriftart` - die neue Schriftart der Tabelle (siehe Klasse Schrift)

### setzeSchriftArt

    public void setzeSchriftArt(String pSchriftart)

  Die Schriftart der Tabelle wird veraendert

  Parameters:
    `pSchriftart` - die neue Schriftart der Tabelle (siehe Klasse Schrift)

### setzeSchriftfarbe

    public void setzeSchriftfarbe(Color pFarbe)

  Die Schriftfarbe der Tabelle wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Tabelle

### setzeSchriftFarbe

    public void setzeSchriftFarbe(Color pFarbe)

  Die Schriftfarbe der Tabelle wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Tabelle

### setzeSchriftfarbe

    public void setzeSchriftfarbe(int pFarbe)

  Die Schriftfarbe der Tabelle wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Tabelle

### setzeSchriftFarbe

    public void setzeSchriftFarbe(int pFarbe)

  Die Schriftfarbe der Tabelle wird veraendert

  Parameters:
    `pFarbe` - die neue Schriftfarbe der Tabelle

### setzeSchriftgroesse

    public void setzeSchriftgroesse(int pGroesse)

  Die Schriftgroesse der Tabelle wird veraendert

  Parameters:
    `pGroesse` - die neue Schriftgroesse der Tabelle

### setzeSchriftGroesse

    public void setzeSchriftGroesse(int pGroesse)

  Die Schriftgroesse der Tabelle wird veraendert

  Parameters:
    `pGroesse` - die neue Schriftgroesse der Tabelle

### setzeSchriftstil

    public void setzeSchriftstil(int pStil)

  Der Schriftstil der Tabelle wird veraendert

  Parameters:
    `pStil` - der neue Schriftstil der Tabelle (siehe Klasse Schrift)

### setzeSchriftStil

    public void setzeSchriftStil(int pStil)

  Der Schriftstil der Tabelle wird veraendert

  Parameters:
    `pStil` - der neue Schriftstil der Tabelle (siehe Klasse Schrift)

### setzeSpaltenanzahl

    public void setzeSpaltenanzahl(int pAnzahl)

  Die Anzahl der Spalten in der Tabelle wird veraendert.

  Parameters:
    `pAnzahl` - die neue Anzahl der Spalten der Tabelle

### setzeSpaltenbreite

    public void setzeSpaltenbreite(int pBreite)

  Die Spalten der Tabelle erhalten eine neue Breite.

  Parameters:
    `pBreite` - die neue Spaltenbreite

### setzeSpaltentitelAn

    public void setzeSpaltentitelAn(String pText,
                                    int pSpalte)

  Der Text pText wird alsTitel fuer Spalte pSpalte eingefuegt.

  Parameters:
    `pText` - der Titel der Spalte
    `pSpalte` - die Position der Spalte fuer den Titel

### setzeZeilenanzahl

    public void setzeZeilenanzahl(int pAnzahl)

  Die Anzahl der Zeilen in der Tabelle wird veraendert.

  Parameters:
    `pAnzahl` - die neue Anzahl der Zeilen der Tabelle

### setzeZeilenhoehe

    public void setzeZeilenhoehe(int pHoehe)

  Die Zeilen der Tabelle erhalten eine neue Hoehe.

  Parameters:
    `pHoehe` - die neue Zeilenhoehe

### spaltenanzahl

    public int spaltenanzahl()

  Die Anzahl der Spalten in der Tabelle wird zurueckgegeben.

  Returns:
    die Anzahl der Spalten der Tabelle

### spaltentitel

    public String spaltentitel(int pSpalte)

  Der Spaltentitel der Spalte pSpalte wird zurueckgegeben.

  Parameters:
    `pSpalte` - die Position der Spalte fuer den Titel
  Returns:
    der Spaltentitel

### verliertFokus

    protected void verliertFokus()

  Die Tabelle verliert den Fokus.

### zeilenanzahl

    public int zeilenanzahl()

  Die Anzahl der Zeilen im der Tabelle wird zurueckgegeben.

  Returns:
    die Anzahl der Zeilen der Tabelle

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD